Bug 1204365 - searching users on organization returns unexpected results
Summary: searching users on organization returns unexpected results
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-21 12:13 UTC by Tom McKay
Modified: 2017-02-23 20:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-30 18:16:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 9855 0 None None None 2016-04-22 15:04:06 UTC

Description Tom McKay 2015-03-21 12:13:33 UTC
Expectation that searching "organization = ACME" would return all users that belong to this organization (ie. have ACME in their list of orgs in the UI).

Having two users with default organization of ACME only returns one of those users too, so it's unclear what the intention of this scoped search field is intending.

Comment 1 Tom McKay 2015-03-21 12:13:34 UTC
Created from redmine issue http://projects.theforeman.org/issues/9855

Comment 3 Mike McCune 2015-03-24 16:48:16 UTC
from upstream comment I made:

The 'default organization' is a login preference for the UI but does not imply membership within an organization. I'd not expect this search to reflect the UI preference at all. IMO, not really a bug.

Comment 4 Bryan Kearney 2015-04-30 18:16:57 UTC
Per https://bugzilla.redhat.com/show_bug.cgi?id=1204365#c3


Note You need to log in before you can comment on or make changes to this bug.